DOMAttributeNodeMap (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dom
Class DOMAttributeNodeMap

    java.lang.Object
      org.dom4j.dom.DOMAttributeNodeMap

All Implemented Interfaces:
  NamedNodeMap

public class DOMAttributeNodeMap
extends Object
implements NamedNodeMap

`DOMAttributeNodeMap` implements a W3C NameNodeMap for the attributes of an element.

Version:
  $Revision: 1.8 $
Author:
  James Strachan

Constructor Summary
`DOMAttributeNodeMap(DOMElement element)`

Method Summary
`void` | `foo()`
`int` | `getLength()`
`Node` | `getNamedItem(String name)`
`Node` | `getNamedItemNS(String namespaceURI, String localName)`
`Node` | `item(int index)`
`Node` | `removeNamedItem(String name)`
`Node` | `removeNamedItemNS(String namespaceURI, String localName)`
`Node` | `setNamedItem(Node arg)`
`Node` | `setNamedItemNS(Node arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMAttributeNodeMap

    public DOMAttributeNodeMap(DOMElement element)

Method Detail

### foo

    public void foo()
             throws DOMException

  Throws:
    `DOMException`

### getNamedItem

    public Node getNamedItem(String name)

  Specified by:
    `getNamedItem` in interface `NamedNodeMap`

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### removeNamedItem

    public Node removeNamedItem(String name)
                         throws DOMException

  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### item

    public Node item(int index)

  Specified by:
    `item` in interface `NamedNodeMap`

### getLength

    public int getLength()

  Specified by:
    `getLength` in interface `NamedNodeMap`

### getNamedItemNS

    public Node getNamedItemNS(String namespaceURI,
                               String localName)

  Specified by:
    `getNamedItemNS` in interface `NamedNodeMap`

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

### removeNamedItemNS

    public Node removeNamedItemNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.